Beryl Error!

Discussion in 'Installation/Configuration' started by mrwasabi, Aug 11, 2007.

  1. mrwasabi

    mrwasabi New Member

    Ok guys,
    I did the Bery install using this guide:
    http://ubuntuforums.org/showthread.php?t=488385

    When I launched beryl-manager from the terminal I get this error:
    Beryl system compatibility check *
    ************************************************** ************

    Detected xserver : AIGLX

    Checking Display :0.0 ...

    Checking for XComposite extension : failed

    No composite extension
    beryl: No composite extension

    (emerald:6504): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed

    EDIT:==============================================

    Ok I got some of this fixed, apparently the cert for one of the updates wasn't available forcing an error. Now when I start Beryl from the terminal with beryl-manager this error appears:

    (emerald:7074): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed
    Fatal: Failed test: texture_from_pixmap support
    Checks indicate that it's impossible to start compiz on your system.

    Thanks in advance folks.
     
    Last edited: Aug 11, 2007
  2. falko

    falko Super Moderator ISPConfig Developer

  3. mrwasabi

    mrwasabi New Member

    Beryl continued.

    Thanks for the response Falko. I did manage to learn something from that post, I ran: glxinfo | grep rendering
    direct rendering: Yes

    That looks good, so I ran:

    glxinfo | grep texture_from_pixmap

    And got this output:
    GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, GLX_OML_swap_method,

    However when I run:
    LIBGL_ALWAYS_INDIRECT=1 compiz --replace

    I get this error:
    Fatal: Failed test: texture_from_pixmap support
    Checks indicate that it's impossible to start compiz on your system.

    Hmm, ok now I'm googling this error.

    ====EDIT=====
    I suppose I could just buy a legacy video card and install it.
     
    Last edited: Aug 13, 2007
  4. mrwasabi

    mrwasabi New Member

    Beryl Success!

    I know I already posted this but I felt it was worth posting again. After performing a fresh install of Ubuntu 7.04, updating, and following Falkos beryl install guide for ATI I now have Beryl running properly. Thanks so much Falko for a superior tutorial on installing Beryl, job well done.
     

Share This Page